Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMPIEventLog Class Reference

`#include <vtkMPIEventLog.h>`

Inheritance diagram for vtkMPIEventLog:

[legend]
Collaboration diagram for vtkMPIEventLog:

[legend]
List of all members.

## Detailed Description

Class for logging and timing.

Date:
  2002/05/17 01:50:34

Revision:
  1.9

This class is wrapper around MPE event logging functions (available from Argonne National Lab/Missippi State University). It allows users to create events with names and log them. Different log file formats can be generated by changing MPE's configuration. Some of these formats are binary (for examples SLOG and CLOG) and can be analyzed with viewers from ANL. ALOG is particularly useful since it is text based and can be processed with simple scripts.

See also:
  vtkTimerLog vtkMPIController vtkMPICommunicator

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (87%)
  - Schroeder, Will (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkMPIEventLog.cxx)`
  - .`h` (`/Parallel/vtkMPIEventLog.h)`

Definition at line 52 of file vtkMPIEventLog.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
int | SetDescription (const char *name, const char *desc)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
void | StartLogging ()
void | StopLogging ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkMPIEventLog * | SafeDownCast (vtkObject *o)
vtkMPIEventLog * | New ()
void | InitializeLogging ()
void | FinalizeLogging (const char *fileName)
## Protected Methods
| vtkMPIEventLog ()
| ~vtkMPIEventLog ()
## Protected Attributes
int | Active
int | BeginId
int | EndId
## Static Protected Attributes
int | LastEventId

## Member Typedef Documentation

typedef vtkObject vtkMPIEventLog::Superclass

| Reimplemented from vtkObject. Definition at line 55 of file vtkMPIEventLog.h.

## Constructor & Destructor Documentation

vtkMPIEventLog::vtkMPIEventLog | ( |  | ) | `[protected]`

vtkMPIEventLog::~vtkMPIEventLog | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkMPIEventLog::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkMPIEventLog::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkMPIEventLog::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkMPIEventLog* vtkMPIEventLog::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

vtkMPIEventLog* vtkMPIEventLog::New | ( |  | ) | `[static]`

| Construct a vtkMPIEventLog with the following initial state: Processes = 0, MaximumNumberOfProcesses = 0. Reimplemented from vtkObject.

int vtkMPIEventLog::SetDescription | ( | const char * | name,
|  | const char * | desc
| ) |

| Used to initialize the underlying mpe event. HAS TO BE CALLED BY ALL PROCESSES before any event logging is done. It takes a name and a description for the graphical representation, for example, "red:vlines3". See mpe documentation for details. Returns 0 on MPI failure (or aborts depending on MPI error handlers)

void vtkMPIEventLog::InitializeLogging | ( |  | ) | `[static]`

| These methods have to be called once on all processors before and after invoking any logging events. The name of the logfile is given by fileName. See mpe documentation for file formats.

void vtkMPIEventLog::FinalizeLogging | ( | const char * | fileName | ) | `[static]`

| These methods have to be called once on all processors before and after invoking any logging events. The name of the logfile is given by fileName. See mpe documentation for file formats.

void vtkMPIEventLog::StartLogging | ( |  | ) |

| Issue start and stop events for this log entry.

void vtkMPIEventLog::StopLogging | ( |  | ) |

| Issue start and stop events for this log entry.

virtual void vtkMPIEventLog::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

## Member Data Documentation

int vtkMPIEventLog::LastEventId`[static, protected]`

| Definition at line 89 of file vtkMPIEventLog.h.

int vtkMPIEventLog::Active`[protected]`

| Definition at line 90 of file vtkMPIEventLog.h.

int vtkMPIEventLog::BeginId`[protected]`

| Definition at line 91 of file vtkMPIEventLog.h.

int vtkMPIEventLog::EndId`[protected]`

| Definition at line 92 of file vtkMPIEventLog.h.

The documentation for this class was generated from the following file:

- Parallel/vtkMPIEventLog.h